/*
   Bacula® - The Network Backup Solution

   Copyright (C) 2000-2010 Free Software Foundation Europe e.V.

   The main author of Bacula is Kern Sibbald, with contributions from
   many others, a complete list can be found in the file AUTHORS.
   This program is Free Software; you can redistribute it and/or
   modify it under the terms of version three of the GNU Affero General Public
   License as published by the Free Software Foundation and included
   in the file LICENSE.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details.

   You should have received a copy of the GNU Affero General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.

   Bacula® is a registered trademark of Kern Sibbald.
   The licensor of Bacula is the Free Software Foundation Europe
   (FSFE), Fiduciary Program, Sumatrastrasse 25, 8006 Zürich,
   Switzerland, email:ftf@fsfeurope.org.
*/
/*
 * Define Host machine
 *
 */

#if defined(__x86_64__)
#define HOST_OS  "x86_64-redhat-linux-gnu"
#elif defined(__i386__)
#define HOST_OS  "i386-redhat-linux-gnu"
#elif defined(__ppc64__) || defined(__powerpc64__)
#define HOST_OS  "powerpc64-redhat-linux-gnu"
#elif defined(__ppc__) || defined(__powerpc__)
#define HOST_OS  "powerpc-redhat-linux-gnu"
#elif defined(__s390x__)
#define HOST_OS  "s390x-ibm-linux-gnu"
#elif defined(__s390__)
#define HOST_OS  "s390-ibm-linux-gnu"
#elif defined(__sparc__) && defined(__arch64__)
#define HOST_OS  "x86_64-redhat-linux-gnu"
#elif defined(__sparc__)
#define HOST_OS  "i386-redhat-linux-gnu"
#elif defined(__aarch64__)
#define HOST_OS  "aarch64-redhat-linux-gnu"
#endif
#define BACULA   "Bacula"
#define DISTNAME "redhat"
#define DISTVER  "(RC1)"
#ifdef HAVE_WIN32
#define HELPDIR   "c://Program Files//Bacula//help"
#else
#define HELPDIR  "/usr/share/doc/bacula-console-bat-5.2.13"
#endif
